"""create table for characters

Revision ID: 2f1a3d7b8ec1
Revises: 0001
Create Date: 2023-05-29 15:44:46.862124

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2f1a3d7b8ec1'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'characters',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('bounty', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.Integer(), default=func.now()),
        sa.Column('updated_at', sa.Integer(), default=func.now(), onupdate=func.now()),
        sa.Index('ix_characters_name', 'name', unique=True)
    )


def downgrade():
    op.drop_table('characters')